### Enumeration

# Gtk StyleContextPrintFlags

#### Declaration

    flags Gtk.StyleContextPrintFlags

#### Description [src]

Flags that modify the behavior of gtk_style_context_to_string().

New values may be added to this enumeration.

#### Members

Name | Description
--- | ---
`GTK_STYLE_CONTEXT_PRINT_NONE` | Default value.
`GTK_STYLE_CONTEXT_PRINT_RECURSE` | Print the entire tree of CSS nodes starting at the style context’s node.
`GTK_STYLE_CONTEXT_PRINT_SHOW_STYLE` | Show the values of the CSS properties for each node.
`GTK_STYLE_CONTEXT_PRINT_SHOW_CHANGE` | Show information about what changes affect the styles.